<!DOCTYPE html>
<html xlmns:th="http://www.thymeleaf.org" xmlns:xlmns="http://www.w3.org/1999/xhtml"
      layout:decorator="/index" xmlns:layout="http://www.w3.org/1999/xhtml" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <title>Create Pengumuman</title>

</head>
<body>
<div class="content-wrapper" layout:fragment="content" >
    <div class="container">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Pengumuman Baru
            </h1>
            <ol class="breadcrumb">
                <li><a href="/pengumuman"><i class="fa fa-dashboard"></i>Pengumuman</a></li>
                <li class="active">Buat Pengumuman</li>
            </ol>
        </section>

        <section class="content">
            <div class="row">
                <div class="col-md-12">
                    <div class="box box-info">
                        <form th:action="@{/admin/pengumuman/create}" method="post">
                            <div class="box-header pad">
                                <h4 class="box-title">Pengumuman</h4>
                            </div>
                            <div class="box-body pad">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Judul</label>
                                            <p th:if="${#fields.hasErrors('pengumuman.judul')}" th:errors="${pengumuman.judul}" field="nim" class="text-red"></p>
                                            <input type="text" class="form-control"  id="pengumuman" name="pengumuman" th:field="${pengumuman.judul}" placeholder="Masukkan judul pengumuman"  autofocus="autofocus" required="required"/>
                                        </div>
                                        <div class="form-group">
                                            <label>Kategory Pengumuman</label>
                                            <select class="form-control select2" th:field="${pengumuman.kategoriPengumuman}"  style="width: 100%;" >
                                                <div th:each="p : ${kategoriPengumumans}">
                                                    <option th:value="${p.id}" th:text="${p.namaKategori}"></option>
                                                </div>
                                            </select>
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>Jenis Privasi</label>
                                            <select class="form-control select2" th:field="${pengumuman.privasi}" style="width: 100%;">
                                                <div th:each="pv : ${privasis}">
                                                    <option th:value="${pv.id}" th:text="${pv.namaPrivasi}"></option>
                                                </div>
                                            </select>
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <label>Isi Pengumuman</label>
                                    <p th:if="${#fields.hasErrors('pengumuman.isiPengumuman')}" th:errors="${pengumuman.isiPengumuman}" field="isiPengumuman" class="text-red"></p>
                                    <textarea id="editorPengumuman"  th:field="${pengumuman.isiPengumuman}" name="isiPengumuman" rows="80" cols="80">
                                    Isi pengumuman
                                    </textarea>
                                </div>
                            </div>
                            <div class="box-footer">
                                <button type="submit" class="btn btn-primary">Create</button>
                            </div>
                        </form>
                    </div>
                </div>
                <!-- /.col-->
            </div>
            <!-- ./row -->
        </section>

    </div>
</div>

<div layout:fragment="script">

    <!--<script th:src="@{http://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js}"></script>-->
    <script>
        /*<![CDATA[*/
        $(function () {
            // Replace the <textarea id="editor1"> with a CKEditor
            // instance, using default configuration.
            CKEDITOR.replace('editorPengumuman', {
                filebrowserImageBrowseUrl:'/pengumuman/public/image',
                filebrowserImageUploadUrl : '/admin/pengumuman/upload/img'
            });
        });

        CKEDITOR.on('instanceReady', function (e) {
            // the real listener simpleuploads plugin
            e.editor.on('simpleuploads.startUpload', function (ev) {

                var csrfValue = $('input[name=_csrf]').val();
                var extraFields = {
                    "_csrf": csrfValue

                };
                ev.data.extraFields = extraFields;
            });
        });

        /*]]>*/
    </script>
    <script th:src="@{/plugins/ckeditor/ckeditor.js}"></script>
    <!--<script th:src="@{//cdn.ckeditor.com/4.7.0/standard/ckeditor.js}"></script>-->
</div>

</body>
</html>